GDB (xrefs)

Functions
tui-layout.h File Reference
`#include "tui/tui.h"`
`#include "tui/tui-data.h"`

Go to the source code of this file.

## Functions
void | tui_add_win_to_layout (enum tui_win_type)
int | tui_default_win_height (enum tui_win_type, enum tui_layout_type)
int | tui_default_win_viewport_height (enum tui_win_type, enum tui_layout_type)
enum tui_status | tui_set_layout (enum tui_layout_type)

## Function Documentation

## ◆ tui_add_win_to_layout()

void tui_add_win_to_layout | ( | enum | tui_win_type | ) |

Definition at line 248 of file tui-layout.c.

References DATA_WIN, DISASSEM_COMMAND, DISASSEM_DATA_COMMAND, DISASSEM_WIN, show_layout(), SRC_COMMAND, SRC_DATA_COMMAND, SRC_DISASSEM_COMMAND, SRC_WIN, tui_clear_source_windows_detail(), and tui_current_layout().

Referenced by tui_show_assembly(), tui_show_disassem(), and tui_show_source().

## ◆ tui_default_win_height()

int tui_default_win_height | ( | enum | tui_win_type,
|  | enum | tui_layout_type
| ) |  |

Definition at line 298 of file tui-layout.c.

References DISASSEM_COMMAND, DISASSEM_DATA_COMMAND, tui_win_info::generic, tui_gen_win_info::height, SRC_COMMAND, SRC_DATA_COMMAND, SRC_DISASSEM_COMMAND, TUI_CMD_WIN, tui_term_height(), tui_win_list, and type.

Referenced by tui_default_win_viewport_height().

## ◆ tui_default_win_viewport_height()

int tui_default_win_viewport_height | ( | enum | tui_win_type,
|  | enum | tui_layout_type
| ) |  |

Definition at line 338 of file tui-layout.c.

References TUI_CMD_WIN, tui_default_win_height(), and tui_win_list.

Referenced by tui_get_low_disassembly_address().

## ◆ tui_set_layout()

enum tui_status tui_set_layout | ( | enum | tui_layout_type | ) |

Definition at line 127 of file tui-layout.c.

References DISASSEM_COMMAND, DISASSEM_DATA_COMMAND, DISASSEM_WIN, tui_layout_def::display_mode, extract_display_start_addr(), layout_def, show_layout(), tui_layout_def::split, SRC_COMMAND, SRC_DATA_COMMAND, SRC_DISASSEM_COMMAND, SRC_WIN, status, TUI_CMD_WIN, tui_current_layout(), TUI_DATA_WIN, TUI_DISASM_WIN, tui_display_all_data(), TUI_FAILURE, tui_get_begin_asm_address(), tui_layout_def(), tui_set_win_focus_to(), tui_show_registers(), TUI_SRC_WIN, TUI_SUCCESS, tui_update_source_windows_with_addr(), tui_win_with_focus(), UNDEFINED_LAYOUT, and win_with_focus.

Referenced by tui_enable(), tui_rl_change_windows(), tui_rl_delete_other_windows(), and tui_set_layout_by_name().